/* BTP library - Banana Tree Protocol
 * Copyright (C) 1999-2001  The Regents of the University of Michigan
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the 
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */

#ifndef _BTP_NODE_H
#define _BTP_NODE_H

#include <glib.h>



typedef struct _BtpNode
{
  gchar* 	hostname;
  gint   	port;

  struct _BConn*	conn;
  struct _BtpTree*  	tree;

  gboolean	is_deleting;	/* Is the node being deleted? */

  gboolean 	is_bad_parent;	/* Would the node make a bad parent? (because it
				   sent an error? or wouldn't accept a switch?)  If
				   this happens, don't make it my parent. */

  gpointer 	upper_data;	/* Data for upper level protocols 		*/

} BtpNode;


#include "b_conn.h"
#include "btp_tree.h"

BtpNode* btp_node_new (BtpTree* tree, gchar* hostname, gint port, BConn* conn);
void     btp_node_delete (BtpNode* node);

void	 btp_node_print (FILE* file, BtpNode* node);

#endif /* _BTP_NODE_H */
