/* Jungle Monkey
 * Copyright (C) 1999-2001  The Regents of the University of Michigan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _GGUI_H
#define _GGUI_H

#include "config.h"

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <errno.h>
#include <unistd.h>

#ifdef JM_ENABLE_GNOME
#include <gnome.h>
#include <popt-gnome.h>
#else
#include <popt.h>
#endif

#include <gtk/gtk.h>
#include <glade/glade.h>
#include <gnet/gnet.h>
#include "util/elf.h"

#include "jmintl.h"
#include "jmutil.h"

#define JM_DEFAULT_CHANNEL "jm://junglemonkey.net/Monkey Central"
	  
extern GtkWidget*  jmw;
extern GtkToolbar* jmw_toolbar;
extern GladeXML*   jmw_xml;

void  ggui_check_network_config (void);
      
void  ggui_enable (void);
void  ggui_disable (void);
void  ggui_save_hashtable (const gchar* name, GHashTable* hash_table, GHFunc hfunc);
void  ggui_load_elf (const gchar* name, void (*func)(const ElfNode*));
    
void  ggui_activate (const GURL* url);
void  ggui_get_pixmaps (const GURL* url, GdkPixmap** pixmap, GdkBitmap** mask);

GladeXML* ggui_get_glade_xml (gchar* name, gchar* glade_filename);
void  ggui_show_message (const gchar* type, const gchar* format, ...);
void  ggui_set_tooltip (GtkWidget* widget, const gchar* tip);
void  ggui_clist_update_row2(GtkCList* clist, gint row,
			     gchar* text1, gchar* text2,
			     GdkPixmap* pixmap, GdkBitmap* mask);


#define   GURL_IS_FILE(U)    (SAFESTRCMP((U)->protocol, "mtp")    == 0)
#define   GURL_IS_CHANNEL(U) (SAFESTRCMP((U)->protocol, "jm")     == 0)
#define   GURL_IS_CHAT(U)    (SAFESTRCMP((U)->protocol, "jmchat") == 0)
#define   GURL_IS_SEARCH(U)  (SAFESTRCMP((U)->protocol, "jmmsp")  == 0)

#endif /* _GGUI_H */
