/* Jungle Monkey
 * Copyright (C) 1999-2001  The Regents of the University of Michigan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _GGUI_CHAT_H
#define _GGUI_CHAT_H

#include <glib.h>
#include <gnet/gnet.h>
#include "jmchat/jmchat.h"

void	 ggui_chat_init (void);
void 	 ggui_chat_shutdown (void);
void	 ggui_chat_load (void);
void	 ggui_chat_save (void);

JMChat*  ggui_chat_get (const GURL* url);
gboolean ggui_chat_is_up (const GURL* url);
gboolean ggui_chat_is_down (const GURL* url);
gchar*   ggui_chat_get_properties (const GURL* url);

void 	 ggui_chat_create (const GURL* channel, const gchar* path, const gchar* name);
void     ggui_chat_join (const GURL* url);
void	 ggui_chat_leave (const GURL* url);
void 	 ggui_chat_remove (const GURL* url);

gchar*   ggui_chat_get_nickname (void);
void	 ggui_chat_set_nickname (const gchar* nick);

void     ggui_chat_select (const GURL* url);
GURL* 	 ggui_chat_get_selected (void); /* return is const */

void     ggui_chat_show_toolbar (void);


#endif /* _GGUI_CHAT_H */
