/* Jungle Monkey
 * Copyright (C) 1999-2001  The Regents of the University of Michigan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */



/*

  GUI for searching for the Gtk/Gnome GUI.

*/


#ifndef _GGUI_SEARCH_H
#define _GGUI_SEARCH_H

#include <glib.h>
#include <gnet/gnet.h>
#include "jmmsearch/jmmsearch.h"


void 	 ggui_search_init (void);
void 	 ggui_search_shutdown (void);
void 	 ggui_search_load (void);
void 	 ggui_search_save (void);

JMMSearch* ggui_search_get (const GURL* url);
gboolean ggui_search_is_up (const GURL* url);
gboolean ggui_search_is_down (const GURL* url);
gchar*   ggui_search_get_properties (const GURL* url);

void     ggui_search_create (const GURL* channel, const gchar* path, const gchar* name);
void	 ggui_search_join (const GURL* url);
void	 ggui_search_leave (const GURL* url);
void	 ggui_search_remove (const GURL* url);

JMMSPVFSID* ggui_search_vfs_add (const GURL* url, const gchar* name, gint length);
void	 ggui_search_vfs_remove (JMMSPVFSID* vfsid);

void	 ggui_search_update (const GURL* url);
void     ggui_search_select (const GURL* url);
GURL*    ggui_search_get_selected (void);

void     ggui_search_show_toolbar (void);


#endif /* _GGUI_SEARCH_H */
