/* Jungle Monkey
 * Copyright (C) 1999-2001  The Regents of the University of Michigan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _JMCHANNEL_DEBUG_H
#define _JMCHANNEL_DEBUG_H

extern unsigned int jmchannel_debug_flags;

/*

  00000001 	General
  00000002 	Announcements out
  00000004 	Announcements in
  00000008	Index
  00000010	Remote index

 */

#ifdef __GNUC__
#include <stdio.h>
#define JMCP(TYPE, FMT, ARGS...)  do { if (jmchannel_debug_flags & TYPE) fprintf(stderr, "JMCHANNEL: " FMT, ## ARGS); } while(0)
#else
#define JMCP(TYPE, FMT, ARGS...) /* JMPP */
#endif


#endif /* _JMCHANNEL_DEBUG_H */
