/* Jungle Monkey
 * Copyright (C) 1999-2001  The Regents of the University of Michigan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _SHA_CACHE_H
#define _SHA_CACHE_H

#include <glib.h>
#include <gnet/gnet.h>
#include <stdio.h>


typedef struct _ShaCache
{
  GHashTable* path_to_sha;

} ShaCache;

ShaCache* sha_cache_new (void);
void	  sha_cache_delete (ShaCache* sha_cache);

GSHA*	  sha_cache_get (ShaCache* sha_cache, const gchar* path);
void	  sha_cache_add (ShaCache* sha_cache, const gchar* path, const GSHA* sha);
guint	  sha_cache_size (ShaCache* sha_cache);

gchar**	  sha_cache_get_vector (ShaCache* sha_cache);
void	  sha_cache_set_vector (ShaCache* sha_cache, gchar** argv, guint argc);

void	  sha_cache_read (ShaCache* sha_cache, FILE* file);
void	  sha_cache_write (ShaCache* sha_cache, FILE* file);

#endif /* _SHA_CACHE_H */
